Bug 245430 - b44 module for a Broadcomm NIC locks machine under heavy load
b44 module for a Broadcomm NIC locks machine under heavy load
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2007-06-23 00:53 EDT by David Bunt
Modified: 2010-10-06 16:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-10-06 16:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Bunt 2007-06-23 00:53:43 EDT
Description of problem:
b44 NIC module will cause a hard lock when there is high constant network

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Grab a broadcom nic
2. Load up b44 module
3. Transfer something large and wait for the lock up.
Actual results:
System locks, no kernel panic messages, no log entries, no way to capture useful
debug data.

Expected results:
No lockups

Additional info:
I'm using a Dell Inspiron 5150 laptop with a stock onboard broadcom NIC. This
problem also occured on previous install of Fedora Core 3 on the same laptop. I
was hoping the problem was fixed and upgrading to rhel 5 would fix it. I'm
completely open to accepting I may just have bad hardware as I'm not that
confident in Dell, but I don't have another 5150 to test it on.
Comment 1 Jarod Wilson 2007-09-01 23:33:03 EDT
For rhel5.1, the b44 driver has been updated. The changes taken in contain the following comments:

Backport b44 from 2.6.22-rc4 upstream.  Changes:

* endianness fixes, types
* use DMA_30BIT_MASK constant
* use skb_copy_from_linear_data_offset()
* safer interrupt disabling with spin_lock_irqsave()
* chip reset may take longer than previously thought
* multicast fixes
* simple error checking during resume

Please give the latest rhel5.1 beta kernel a try and report back results:


Note You need to log in before you can comment on or make changes to this bug.